<form class="profile"
      [formGroup]="profileForm"
      (ngSubmit)="update()" novalidate>
  <div class="form-group row">
    <label for="firstName" class="col-2 col-form-label">{{'PROFILE.FIRSTNAME' | translate}}:</label>
    <div class="col-10">
      <p id="firstName" class="form-control-static"
        *ngIf="!isEdit">{{profile.firstName}}</p>
      <input id="firstName" class="form-control"
            *ngIf="isEdit"
            formControlName="firstName"
            type="text">
    </div>
  </div>
  <div class="form-group row">
    <label for="lastName" class="col-2 col-form-label">{{'PROFILE.LASTNAME' | translate}}:</label>
    <div class="col-10">
      <p id="lastName" class="form-control-static"
        *ngIf="!isEdit">{{profile.lastName}}</p>
      <input id="lastName" class="form-control"
            *ngIf="isEdit"
            formControlName="lastName"
            type="text">
    </div>
  </div>
  <div class="form-group row">
    <label for="birthdate" class="col-2 col-form-label">{{'PROFILE.BIRTHDATE' | translate}}:</label>
    <div class="col-10">
      <p id="birthdate" class="form-control-static"
        *ngIf="!isEdit">{{profile.birthdate | date: 'dd MMMM yyyy'}}</p>

      <div *ngIf="isEdit"
          class="birthdate"
            [formGroup]="birthdate">
        <input id="day" class="form-control"
              formControlName="day"
              type="text">
        <input id="month" class="form-control"
              formControlName="month"
              type="text">
        <input id="year" class="form-control"
              formControlName="year"
              type="text">
      </div>
    </div>
  </div>
  <div class="form-group row">
    <label for="gender" class="col-2 col-form-label">{{'PROFILE.GENDER' | translate}}:</label>
    <div class="col-10">
      <p id="gender" class="form-control-static"
        *ngIf="!isEdit">
        <span *ngIf="profile.gender">
          <i class="fa fa-male" aria-hidden="true"></i> {{'PROFILE.MALE' | translate}}</span>
        <span *ngIf="!profile.gender">
          <i class="fa fa-female" aria-hidden="true"></i> {{'PROFILE.FEMALE' | translate}}</span>
      </p>
      <div *ngIf="isEdit"
          class="form-check">
        <label class="form-check-label">
          <input class="form-check-input"
                type="radio"
                formControlName="gender"
                [value]="true">
                <i class="fa fa-male" aria-hidden="true"></i> {{'PROFILE.MALE' | translate}}
        </label>
        <label class="form-check-label">
          <input class="form-check-input"
                type="radio"
                formControlName="gender"
                [value]="false">
                <i class="fa fa-female" aria-hidden="true"></i> {{'PROFILE.FEMALE' | translate}}
        </label>
      </div>
    </div>
  </div>
  <button class="btn btn-outline-primary btn-sm btn-block"
          *ngIf="!isEdit"
          (click)="edit()"
          type="button"
          >{{'PROFILE.EDIT_BTN' | translate}}</button>
  <div class="row"
      *ngIf="isEdit">
    <div class="col col-sm-6">
      <button class="btn btn-outline-warning btn-sm btn-block"
              (click)="isEdit = !isEdit"
              type="button"
              >{{'PROFILE.CANCEL_BTN' | translate}}</button>
    </div>
    <div class="col col-sm-6">
      <button class="btn btn-outline-success btn-sm btn-block"
              type="submit"
              >{{'PROFILE.SAVE_BTN' | translate}}</button>
    </div>
  </div>
</form>
